<?php echo $header; ?>
<?php if ($error_warning) { ?>
    <div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>
<?php if ($success) {
?>
    <div class="success"><?php echo $success; ?></div>
<?php } ?>
<div class="box">
    <div class="left"></div>
    <div class="right"></div>
    <div class="heading">
        <h1 style="background-image: url('view/image/product.png');"><?php echo $heading_title; ?></h1>
        <div class="buttons"><a onclick="location = '<?php echo $insert; ?>'" class="button"><span><?php echo $button_insert; ?></span></a><a onclick="$('#form').attr('action', '<?php echo $copy; ?>'); $('#form').submit();" class="button"><span><?php echo $button_copy; ?></span></a><a onclick="$('form').submit();" class="button"><span><?php echo $button_delete; ?></span></a></div>
    </div>
    <div class="content">
        <form action="<?php echo $delete; ?>" method="post" enctype="multipart/form-data" id="form">
            <table class="list">
                <thead>
                    <tr>
                        <td width="61" style="text-align: center;"><input type="checkbox" onclick="$('input[name*=\'selected\']').attr('checked', this.checked);" /></td>
                        <td width="34" class="center"><?php echo $column_image; ?></td>
                        <td width="144" class="left"><?php if ($sort == 'pd.name') { ?>
                                <a href="<?php echo $sort_name; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_name; ?></a>
                            <?php } else {
                            ?>
                            <a href="<?php echo $sort_name; ?>"><?php echo $column_name; ?></a>
                            <?php } ?></td>
                        <td width="144" class="left"><?php if ($sort == 'p.model') { ?>
                                <a href="<?php echo $sort_model; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_model; ?></a>
                            <?php } else {
                            ?>
                                <a href="<?php echo $sort_model; ?>"><?php echo $column_model; ?></a>
                            <?php } ?></td>
                        <td width="100" class="left"><?php if ($sort == 'p.price') { ?>
                                <a href="<?php echo $sort_price; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_price; ?></a>
                            <?php } else {
                            ?>
                                <a href="<?php echo $sort_price; ?>"><?php echo $column_price; ?></a>
                            <?php } ?></td>
                        <td width="62" class="right"><?php if ($sort == 'p.quantity') { ?>
                                <a href="<?php echo $sort_quantity; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_quantity; ?></a>
                            <?php } else {
                            ?>
                                <a href="<?php echo $sort_quantity; ?>"><?php echo $column_quantity; ?></a>
                            <?php } ?></td>
                        <td width="82" class="center"><?php if ($sort == 'p.status') { ?>
                                <a href="<?php echo $sort_status; ?>" class="<?php echo strtolower($order); ?>"><?php echo $column_status; ?></a>
                            <?php } else {
                            ?>
                                <a href="<?php echo $sort_status; ?>"><?php echo $column_status; ?></a>
                            <?php } ?></td>
                        <td width="124" class="right"><?php echo $column_action; ?></td>
                    </tr>
                </thead>
                <tbody>
                    <tr class="filter">
                        <td></td>
                        <td></td>
                        <td><input type="text" name="filter_name" value="<?php echo $filter_name; ?>" style="width:95%"/></td>
                        <td><input type="text" name="filter_model" value="<?php echo $filter_model; ?>" style="width:95%" /></td>
                        <td align="right"><input type="text" name="filter_price" value="<?php echo $filter_price; ?>" style="text-align: right; width:92%" /></td>
                        <td align="right"><input type="text" name="filter_quantity" value="<?php echo $filter_quantity; ?>" style="text-align: right; width:90%" /></td>
                        <td align="center"><select name="filter_status">
                                <option value="*"></option>
                                <?php if ($filter_status) {
                                ?>
                                    <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                                <?php } else {
                                ?>
                                    <option value="1"><?php echo $text_enabled; ?></option>
                                <?php } ?>
                                <?php if (!is_null($filter_status) && !$filter_status) {
                                ?>
                                    <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                                <?php } else {
                                ?>
                                    <option value="0"><?php echo $text_disabled; ?></option>
                                <?php } ?>
                            </select></td>
                        <td align="right"><a onclick="filter();" class="button"><span><?php echo $button_filter; ?></span></a></td>
                    </tr>
                    <?php if ($products) {
                    ?>
                    <?php foreach ($products as $product) {
                    ?>
                                        <tr>
                                            <td style="text-align: center;"><?php if ($product['selected']) { ?>
                                                    <input type="checkbox" name="selected[]" value="<?php echo $product['product_id']; ?>" checked="checked" />
                            <?php } else {
                            ?>
                                            <input type="checkbox" name="selected[]" value="<?php echo $product['product_id']; ?>" />
                            <?php } ?></td>

                                    <td class="center"><img src="<?php echo $product['image']; ?>" alt="<?php echo $product['name']; ?>" style="padding: 1px; border: 1px solid #DDDDDD;" /></td>
                                    <td class="left name"><?php echo $product['name']; ?></td>
                                    <td class="left model"><?php echo $product['model']; ?></td>
                                    <td class="right price"><?php echo $product['price']; ?></td>
                                    <td class="right"><?php if ($product['quantity'] <= 0) { ?>
                                            <span class="qty" style="color: #FF0000;"><?php echo $product['quantity']; ?></span>
                            <?php } elseif ($product['quantity'] <= 5) {
                            ?>
                                            <span class="qty" style="color: #FFA500;"><?php echo $product['quantity']; ?></span>
                            <?php } else {
                            ?>
                                            <span class="qty" style="color: #008000;"><?php echo $product['quantity']; ?></span>
                            <?php } ?></td>
                                    <td class="center status"><?php echo $product['status']; ?></td>
                                    <td class="right"><?php foreach ($product['action'] as $action) { ?>
                                            [ <a href="<?php echo $action['href']; ?>" infourl="<?php echo $action['getinfo_url']; ?>" class="quickedit">Quick Edit</a> | <a href="<?php echo $action['href']; ?>"><?php echo $action['text']; ?></a> ]
                            <?php } ?></td>
                                </tr>
                    <?php } ?>
                    <?php } else {
 ?>
                                    <tr>
                                        <td class="center" colspan="8"><?php echo $text_no_results; ?></td>
                                    </tr>
<?php } ?>
                            </tbody>
                        </table>
                    </form>
                    <div class="pagination"><?php echo $pagination; ?></div>
                </div>
            </div>
            <div id="dialog-form" title="Quick Edit Product" style="display: none">
                <form method="post" action="<?php echo $updateinfo_url ?>">
                    <fieldset>
                        <label for="name">
                            Name
                        </label>
                        <input type="hidden" name="model" id="id" value="" />
                        <input type="text" name="model" id="name" class="text ui-widget-content ui-corner-all" />Model
                        <input type="text" name="model" id="model" class="text ui-widget-content ui-corner-all" /><span style="color: blue">Price</span>
                        <input type="text" name="price" id="price" value="" class="text ui-widget-content ui-corner-all" />Qty
                        <input type="text" name="qty" id="qty" value="" class="text ui-widget-content ui-corner-all" />Status
                        <select name="status" id="status">
                            <option value="0">Disabled</option>
                            <option value="1">Enabled</option>
                        </select>
                    </fieldset>
                </form>
            </div>
            
            <!-- ============= QUICK EDIT HACK - Author cevarief ==============-->
            <style type="text/css">
                label, input, select { display:block; }
                input.text { margin-bottom:8px; width:95%; padding: .4em; }
                fieldset { padding:0; border:0; margin-top:10px; }
                h1 { font-size: 1.2em; margin: .6em 0; }
            </style>
            <script type="text/javascript" src="view/javascript/jquery/ui/ui.dialog.js"></script>
            <script type="text/javascript" src="view/javascript/jquery/ui/effects.core.js"></script>
            <script type="text/javascript">
                $(document).ready(function(){
                    var row; //current table row for update data
                    var showDialog = function(){var id = $(this).find("#id");
                        var name = $(this).find('#name');
                        var model = $(this).find('#model');
                        var price = $(this).find('#price');
                        var qty = $(this).find('#qty');
                        var status = $(this).find('#status');
                        $("#dialog-form").dialog({
                            autoOpen: false,
                            height: 420,
                            width: 350,
                            modal: true,
                            buttons: {
                                'Update Product' : function() {
                                    var id = $(this).find("#id");
                                    var name = $(this).find('#name');
                                    var model = $(this).find('#model');
                                    var price = $(this).find('#price');
                                    var qty = $(this).find('#qty');
                                    var status = $(this).find('#status');

                                    $(this).find('.error').remove();

                                    if(name.val().length < 3){
                                        name.focus();
                                        $(this).find('#name').after('<span class="error">Product Name must be between 4 and 254 characters!</span>');
                                        return false;
                                    }

                                    if(model.val().length < 3){
                                        model.focus();
                                        $(this).find('#name').after('<span class="error">Model Name must be between 4 and 23 characters!</span>');
                                        return false;
                                    }

                                    //prevent reclick while submit changes
                                    $(":button:contains('Update Product')").attr("disabled","disabled");
                                    $.ajax({
                                        url: $(this).find('form').attr('action'),
                                        //dataType: 'json',
                                        cache: false,
                                        type: "POST",
                                        data: {
                                            'product_id'    : id.val(),
                                            'name'          : name.val(),
                                            'model'         : model.val(),
                                            'price'         : price.val(),
                                            'quantity'      : qty.val(),
                                            'status'        : status.val()
                                        },
                                        success: function(data) {
                                            //if(data.success)
                                            if(data == 'OK'){
                                                //Update td row data based on class name of each <td>
                                                //Look at the html code starting at line 88 class="left name", "left model" so on
                                                row.find('.name').html($('#dialog-form #name').val());
                                                row.find('.model').html($('#dialog-form #model').val());
                                                row.find('.price').html($('#dialog-form #price').val());
                                                row.find('.qty').html($('#dialog-form #qty').val());
                                                row.find('.status').html($('#dialog-form #status').val() == 1 ? 'Enabled' : 'Disabled');
                                                $('#dialog-form').dialog('close'); //just close after update table row
                                            }
                                            else{
                                                alert("Error while updating : \n" + data);
                                            }
                                            $(":button:contains('Update Product')").removeAttr("disabled");
                                        }
                                    });
                                },
                                Cancel: function() {
                                    $(this).dialog('close');
                                }
                            },
                            close: function() {
                                //when dialog close, clean up !
                                $(this).find('.error').remove();
                                $(this).find('form').get(0).reset();
                                $(this).find('select').removeAttr('selected');
                            }
                        });

                        $(":button:contains('Update Product')").attr("disabled","disabled");
                        $('#dialog-form').dialog('open');
                    }

                    $('a.quickedit').click(function(e) {
                        e.preventDefault();
                        showDialog();
                        row = $(this).closest('tr');
                        $.getJSON($(this).attr('infourl'), function(data){
                            if(data.success){
                                $(":button:contains('Update Product')").removeAttr("disabled");
                                $('#dialog-form p:first').html('Edit aje field dibawah');
                                $('#dialog-form #id').val(data.result.id);
                                $('#dialog-form #name').val(data.result.name);
                                $('#dialog-form #model').val(data.result.model);
                                $('#dialog-form #price').val(data.result.price);
                                $('#dialog-form #qty').val(data.result.qty);
                                $('#dialog-form #status').val(data.result.status);
                            }
                            else{
                                $('#dialog-form').dialog('close');
                                alert('Error while getting product data :\n' + data);
                            }
                        });
                    });
                });
            </script>
            <script type="text/javascript"><!--
                function filter() {
                    url = 'index.php?route=catalog/product&token=<?php echo $token; ?>';
                    var filter_name = $('input[name=\'filter_name\']').attr('value');
                    if (filter_name) {
                        url += '&filter_name=' + encodeURIComponent(filter_name);
                    }

                    var filter_model = $('input[name=\'filter_model\']').attr('value');
                    if (filter_model) {
                        url += '&filter_model=' + encodeURIComponent(filter_model);
                    }

                    var filter_price = $('input[name=\'filter_price\']').attr('value');
                    if (filter_price) {
                        url += '&filter_price=' + encodeURIComponent(filter_price);
                    }

                    var filter_quantity = $('input[name=\'filter_quantity\']').attr('value');
                    if (filter_quantity) {
                        url += '&filter_quantity=' + encodeURIComponent(filter_quantity);
                    }

                    var filter_status = $('select[name=\'filter_status\']').attr('value');
                    if (filter_status != '*') {
                        url += '&filter_status=' + encodeURIComponent(filter_status);
                    }

                    location = url;
                }
                //--></script>

            <script type="text/javascript"><!--
                $('#form input').keydown(function(e) {
                    if (e.keyCode == 13) {
                        filter();
                    }
                });
                //--></script>
<?php echo $footer; ?>
